Skip to main content
PUT
/
core
/
webhook-config
/
{webhookConfigId}
Update Webhook Config
curl --request PUT \
  --url https://api.integrations.commenda.io/v4/core/webhook-config/{webhookConfigId} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "name": "Updated webhook",
  "url": "https://example.com/webhooks/rootfi-v2",
  "state": "DISABLED",
  "topics": [
    "invoice.create"
  ]
}
'
{
  "data": {
    "data": {
      "rootfi_id": 12,
      "rootfi_created_at": "2026-05-15T18:17:02.052Z",
      "rootfi_updated_at": "2026-05-16T10:00:00.000Z",
      "rootfi_organisation_id": 1,
      "webhook_type": "CONNECTION_CHANGED",
      "integration_type": null,
      "name": "Updated webhook",
      "url": "https://example.com/webhooks/rootfi-v2",
      "state": "DISABLED",
      "topics": [
        "invoice.create"
      ],
      "headers": [
        {
          "name": "Authorization",
          "value": "Bearer secret"
        }
      ],
      "signature_header": "X-RootFi-Signature"
    }
  },
  "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Update a webhook config. All request body fields are optional.

Path Parameters

ParameterTypeDescription
webhookConfigIdintegerWebhook config ID (rootfi_id).

Request Body

FieldTypeDescription
webhook_typeenumEvent category.
namestringDisplay name.
urlstringDestination URL.
topicsstring[]Subscribed topics.
stateenumENABLED or DISABLED.
signing_keystringSecret used to sign outbound requests.
headersobject[]Custom headers as { name, value }.

Response

Returns { data: { data: WebhookConfig }, request_id }.

Authorizations

api_key
string
header
required

Path Parameters

webhookConfigId
integer
required

Webhook config ID (rootfi_id).

Body

application/json
webhook_type
enum<string>
Available options:
INTEGRATION,
DATA_MODEL_CHANGES,
CONNECTION_CHANGED,
SYNC_STARTED,
SYNC_COMPLETED
name
string
url
string
topics
string[]
state
enum<string>
Available options:
ENABLED,
DISABLED
signing_key
string
headers
V4WebhookHeader · object[]

Response

Updated webhook config.

request_id
string
required
data
V4GetWebhookConfigResponse · object
required